package com.slideme.demo.controller;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import com.slideme.demo.model.interaction.SamInteractor;
import com.slideme.demo.R;

public class SamInteractionActivity extends Activity {

    public void onCreate(Bundle savedInstanceState) {
        setTitle("SAM Interaction Demo");
        setContentView(R.layout.saminteraction);
        super.onCreate(savedInstanceState);

        final SamInteractor interactor = new SamInteractor(getPackageManager());


        final EditText input = (EditText) findViewById(R.id.q_input);
        Button submit = (Button) findViewById(R.id.q_submit);

        final CheckBox enforce = (CheckBox) findViewById(R.id.q_enforce);
        submit.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                SamInteractionActivity.this.startActivity(interactor.query(input.getText().toString(), enforce.isChecked()));
            }
        });

    }
}
